﻿.dataTables_wrapper .dataTables_paginate .pagination {
    >li.paginate_button.disabled>a,
    >li.paginate_button.disabled>a:focus,
    >li.paginate_button.disabled>a:active,
    >li.paginate_button.disabled>a:hover {
        pointer-events: none !important;
        background-color: #19be9db3 !important;
        color: rgba(255, 255, 255, .8);
    }

    >li.paginate_button:active,
    >li.paginate_button:hover,
    >li.paginate_button:focus,
    >li.paginate_button {
        background-color: transparent;
        background-image: none !important;
        border-top-color: transparent !important;
        border-bottom-color: transparent important;
    }

    >li.paginate_button.active,
    >li.paginate_button.active:focus,
    >li.paginate_button.active:focus-within,
    >li.paginate_button.active:hover {
        border-left-color: #15846e;
        border-right-color: transparent;
        border-top-color: transparent;
        border-bottom-color: transparent;
        color: #ffffff;
    }

    >li.paginate_button.active>a:hover,
    >li.paginate_button.active>a:active,
    >li.paginate_button.active>a:focus,
    >li.paginate_button.active:hover>a,
    >li.paginate_button.active:focus>a,
    >li.paginate_button.active:active>a,
    >li.paginate_button.active>a {
        box-shadow: 0px 1px 1px #116e5c8c inset;
        background: #18927a;
    }

    li.paginate_button>a {
        background-color: #18bc9c;
        color: rgba(255, 255, 255, .9);
    }

    >li.paginate_button {
        border-width: 1px;
        border-left-color: #16ac8e;
        border-radius: .25rem !important;
    }

    >li.paginate_button.previous {
        border-left-color: transparent;
    }

    li.paginate_button:not(.disabled):not(.active):hover {
        border-left-color: #00bd8e;
        border-bottom-color: transparent;
        border-right-color: transparent;
    }

    >li.paginate_button>a:focus-visible {
        outline: none !important;
    }

    >li.paginate_button:focus-visible {
        outline-color: transparent;
        outline: none;

        >a {
            outline-color: transparent;
            outline: none;
        }

    }

    >li.paginate_button:hover>a,
    >li.paginate_button>a:hover,
    >li.paginate_button:active>a,
    >li.paginate_button>a:active,
    >li.paginate_button:focus>a,
    >li.paginate_button>a:focus,
    >li.paginate_button>a {
        outline: none !important;
        border-color: transparent !important;
    }

    li.paginate_button:hover>a,
    li.paginate_button>a:hover {
        background-color: #00cc99;
        background: #00cc99;
    }

}